Package org.apache.tapestry5.commons.internal.services

## Class ServiceMessages

- java.lang.Object
- - org.apache.tapestry5.commons.internal.services.ServiceMessages

-     public class ServiceMessages
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `failedCoercion​(Object input, Class targetType, Coercion coercion, Throwable cause)` |
    `static String` | `noSuchProperty​(Class clazz, String propertyName)` |
    `static String` | `propertyTypeMismatch​(String propertyName, Class sourceClass, Class propertyType, Class expectedType)` |
    `static String` | `readFailure​(String propertyName, Object instance, Throwable cause)` |
    `static String` | `registryShutdown​(String serviceId)` |
    `static String` | `serviceBuildFailure​(String serviceId, Throwable cause)` |
    `static String` | `shutdownListenerError​(Object listener, Throwable cause)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### noSuchProperty

          public static String noSuchProperty​(Class clazz,
                                              String propertyName)

    - #### readFailure

          public static String readFailure​(String propertyName,
                                           Object instance,
                                           Throwable cause)

    - #### propertyTypeMismatch

          public static String propertyTypeMismatch​(String propertyName,
                                                    Class sourceClass,
                                                    Class propertyType,
                                                    Class expectedType)

    - #### shutdownListenerError

          public static String shutdownListenerError​(Object listener,
                                                     Throwable cause)

    - #### failedCoercion

          public static String failedCoercion​(Object input,
                                              Class targetType,
                                              Coercion coercion,
                                              Throwable cause)

    - #### registryShutdown

          public static String registryShutdown​(String serviceId)

    - #### serviceBuildFailure

          public static String serviceBuildFailure​(String serviceId,
                                                   Throwable cause)